Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class Separator

    java.lang.Object
      nextapp.echo2.app.Component
          echopointng.ComponentEx
              echopointng.Separator

All Implemented Interfaces:
  Attributeable, Delegateable, Insetable, java.io.Serializable, RenderIdSupport

    public class Separator

extends ComponentEx
implements Insetable

The `Separator` class is a `Component` that provides a simple separator within menus or between other `Components`

It consists of a top line and bottom line, that can have width and color values. It also has an Inset value around it.

See Also:
  Serialized Form

Field Summary
`static Color` | `DEFAULT_BOTTOM_COLOR` the default bottom color
`static Extent` | `DEFAULT_BOTTOM_SIZE` the default bottom size is 1
`static Insets` | `DEFAULT_INSETS` the default insets are {4,2}
`static Style` | `DEFAULT_STYLE`
`static Color` | `DEFAULT_TOP_COLOR` the default top color
`static Extent` | `DEFAULT_TOP_SIZE` the default top size is 1
`static java.lang.String` | `PROPERTY_BOTTOM_COLOR`
`static java.lang.String` | `PROPERTY_BOTTOM_SIZE`
`static java.lang.String` | `PROPERTY_TOP_COLOR`
`static java.lang.String` | `PROPERTY_TOP_SIZE`

Fields inherited from class echopointng.ComponentEx
`PROPERTY_HIDDEN`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Fields inherited from interface echopointng.able.Insetable
`DEFAULT_OUTSETS, PROPERTY_INSETS, PROPERTY_OUTSETS`

Constructor Summary
`Separator()` Constructs a `Separator`.

Method Summary
`Color` | `getBottomColor()` The color of the bottom separator line
`Extent` | `getBottomSize()` The size of the bottom separator line
`Insets` | `getInsets()`
`Insets` | `getOutsets()`
`Color` | `getTopColor()` The color of the top separator line
`Extent` | `getTopSize()` The size of the top separator line
`void` | `setBottomColor(Color color)`
`void` | `setBottomSize(Extent newValue)`
`void` | `setInsets(Insets newValue)` Sets the Insets in play.
`void` | `setOutsets(Insets newValue)` Sets the Outsets in play.
`void` | `setTopColor(Color newValue)`
`void` | `setTopSize(Extent newValue)`

Methods inherited from class echopointng.ComponentEx
`getAttribute, getAttributeNames, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, isHidden, setAttribute, setHidden, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### PROPERTY_BOTTOM_SIZE

    public static final java.lang.String PROPERTY_BOTTOM_SIZE

See Also:
  Constant Field Values

### PROPERTY_BOTTOM_COLOR

    public static final java.lang.String PROPERTY_BOTTOM_COLOR

See Also:
  Constant Field Values

### PROPERTY_TOP_SIZE

    public static final java.lang.String PROPERTY_TOP_SIZE

See Also:
  Constant Field Values

### PROPERTY_TOP_COLOR

    public static final java.lang.String PROPERTY_TOP_COLOR

See Also:
  Constant Field Values

### DEFAULT_BOTTOM_COLOR

    public static final Color DEFAULT_BOTTOM_COLOR

  the default bottom color

### DEFAULT_INSETS

    public static final Insets DEFAULT_INSETS

  the default insets are {4,2}

### DEFAULT_TOP_COLOR

    public static final Color DEFAULT_TOP_COLOR

  the default top color

### DEFAULT_TOP_SIZE

    public static final Extent DEFAULT_TOP_SIZE

  the default top size is 1

### DEFAULT_BOTTOM_SIZE

    public static final Extent DEFAULT_BOTTOM_SIZE

  the default bottom size is 1

### DEFAULT_STYLE

    public static final Style DEFAULT_STYLE

Constructor Detail

### Separator

    public Separator()

  Constructs a `Separator`.

Method Detail

### getBottomColor

    public Color getBottomColor()

  The color of the bottom separator line

  Returns:
    The color of the bottom separator line

### getBottomSize

    public Extent getBottomSize()

  The size of the bottom separator line

  Returns:
    The size of the bottom separator line

### getTopColor

    public Color getTopColor()

  The color of the top separator line

  Returns:
    The color of the top separator line

### getTopSize

    public Extent getTopSize()

  The size of the top separator line

  Returns:
    The color of the top separator line

### setBottomColor

    public void setBottomColor(Color color)

### setBottomSize

    public void setBottomSize(Extent newValue)

### setTopColor

    public void setTopColor(Color newValue)

### setTopSize

    public void setTopSize(Extent newValue)

### getInsets

    public Insets getInsets()

  Specified by:
    `getInsets` in interface `Insetable`
  Returns:
    the Insets in use or null if here are none
  See Also:
    `Insetable.getInsets()`

### getOutsets

    public Insets getOutsets()

  Specified by:
    `getOutsets` in interface `Insetable`
  Returns:
    the Outsets in use or null if here are none
  See Also:
    `Insetable.getOutsets()`

### setInsets

    public void setInsets(Insets newValue)

  Description copied from interface: `Insetable`
  Sets the Insets in play. The Insets control the extra space around the content of a container.

  Specified by:
    `setInsets` in interface `Insetable`
  Parameters:
    `newValue` - - the Insets to use
  See Also:
    `Insetable.setInsets(nextapp.echo2.app.Insets)`

### setOutsets

    public void setOutsets(Insets newValue)

  Description copied from interface: `Insetable`
  Sets the Outsets in play. The Outsets control the extra space around the outside of a container.

  Specified by:
    `setOutsets` in interface `Insetable`
  Parameters:
    `newValue` - - the Ousets to use
  See Also:
    `Insetable.setOutsets(nextapp.echo2.app.Insets)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD